# get current libfaudes version 

LIBFAUDES_SRC=../libfaudes
LIBFAUDES_DST=./libfaudes

# set schmidt
export FAUDES_PLUGINS=./plugins/observer/Makefile.plugin

echo ==================== copy libfaudes
rm -rf $LIBFAUDES_DST
cp -R $LIBFAUDES_SRC $LIBFAUDES_DST 
rm -rf $LIBFAUDES_DST/plugins/timed
rm -rf $LIBFAUDES_DST/plugins/schmidt
rm -rf $LIBFAUDES_DST/plugins/hiosys

echo ==================== make and clean

cd $LIBFAUDES_DST
make dist-clean
make doc
make
make clean
cd ..


# get current luafaudes version 

LUAFAUDES_SRC=../luafaudes
LUAFAUDES_DST=./luafaudes


echo ==================== copy luafaudes
rm -rf $LUAFAUDES_DST
cp -R $LUAFAUDES_SRC $LUAFAUDES_DST 
rm -rf $LUAFAUDES_DST/libfaudes
ln -s ../libfaudes $LUAFAUDES_DST/libfaudes


echo ==================== make and clean

cd $LUAFAUDES_DST
make dist-clean
make
make clean
cd ..



echo ==================== done
